%define api	2.48
%define major	1
%define libname	%mklibname %{name} %{api} %{major}
%define devname	%mklibname -d %{name} %{api}

%define url_ver %{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

%bcond_without doc

Name:		pangomm
Summary:	C++ interface for the pango library
Version:	2.56.1
Release:	%mkrel 2
License:	LGPLv2+
Group:		System/Libraries
URL:            https://www.gtkmm.org/
Source:		https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:	meson
BuildRequires:	pkgconfig(cairomm-1.16)
BuildRequires:	pkgconfig(glibmm-2.68)
BuildRequires:	pkgconfig(pangocairo)
%if %{with doc}
BuildRequires:	doxygen
%endif

%description
Pangomm provides a C++ interface to the Pango library. Highlights
include typesafe callbacks, widgets extensible via inheritance and a
comprehensive set of widget classes that can be freely combined to
quickly create complex user interfaces.

%package -n %{libname}
Summary:	C++ interface for the pango library
Group:		System/Libraries
Provides:	%{name}%{api} = %{version}-%{release}

%description -n %{libname}
Gtkmm provides a C++ interface to the GTK+ GUI library. Gtkmm2 wraps GTK+ 2.
Highlights include typesafe callbacks, widgets extensible via inheritance
and a comprehensive set of widget classes that can be freely combined to
quickly create complex user interfaces.

This package contains the library needed to run programs dynamically
linked with %{name}.

%package -n %{devname}
Summary:	Headers and development files of %{name}
Group:		Development/GNOME and GTK+
Requires:	%{libname} = %{version}
Provides:	%{name}%{api}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	pangomm-doc < 2.48.0

%description -n %{devname}
This package contains the headers and development files that are needed,
when trying to develop or compile applications which need %{name}.

%prep
%autosetup -p1

%build
%meson \
  -Dbuild-documentation=%{?with_doc:true}%{!?with_doc:false}
%meson_build

%install
%meson_install

%files -n %{libname}
%license COPYING
%doc NEWS README.md
%{_libdir}/libpangomm-%{api}.so.%{major}{,.*}

%files -n %{devname}
%doc COPYING ChangeLog
%{_includedir}/pangomm-%{api}/
%{_libdir}/libpangomm-%{api}.so
%{_libdir}/pkgconfig/*.pc
%{_libdir}/pangomm-%{api}/
%if %{with doc}
%doc %{_datadir}/doc/pangomm-%{api}/
%doc %{_datadir}/devhelp/books/*
%endif


%changelog
* Tue Jul 01 2025 umeabot <umeabot> 2.56.1-2.mga10
+ Revision: 2234152
- Mageia 10 Mass Rebuild

* Tue Jan 21 2025 daviddavid <daviddavid> 2.56.1-1.mga10
+ Revision: 2140151
- new version 2.56.1

* Thu Aug 08 2024 daviddavid <daviddavid> 2.54.0-1.mga10
+ Revision: 2084121
- new version 2.54.0

* Sun Mar 17 2024 daviddavid <daviddavid> 2.52.0-1.mga10
+ Revision: 2050180
- new version 2.52.0

* Tue Jan 30 2024 daviddavid <daviddavid> 2.50.2-1.mga10
+ Revision: 2036325
- new version 2.50.2
+ tv <tv>
- Use https URL

* Wed Sep 28 2022 tv <tv> 2.50.1-1.mga9
+ Revision: 1892938
- Fix filelist
+ ovitters <ovitters>
- new version 2.50.1

* Wed Mar 30 2022 umeabot <umeabot> 2.50.0-2.mga9
+ Revision: 1835689
- Mageia 9 Mass Rebuild

* Mon Dec 06 2021 ovitters <ovitters> 2.50.0-1.mga9
+ Revision: 1760961
- new version 2.50.0

* Sat Nov 06 2021 joequant <joequant> 2.49.1-1.mga9
+ Revision: 1754062
- update 2.49.1

* Fri May 21 2021 ovitters <ovitters> 2.48.1-1.mga9
+ Revision: 1726023
- new version 2.48.1

* Sun Feb 28 2021 wally <wally> 2.48.0-1.mga9
+ Revision: 1694423
- new version 2.48.0
- new lib api 2.48
- drop doc pkg
- switch to meson build

* Thu Mar 26 2020 daviddavid <daviddavid> 2.43.2-1.mga8
+ Revision: 1560809
- new version 2.43.2

* Sun Feb 16 2020 umeabot <umeabot> 2.43.1-4.mga8
+ Revision: 1536352
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Wed Oct 16 2019 wally <wally> 2.43.1-3.mga8
+ Revision: 1454202
- add upstream patch to fix build with glibmm-2.64

* Mon Apr 15 2019 daviddavid <daviddavid> 2.43.1-2.mga7
+ Revision: 1390655
- add upstream patch to use glibmm-2.62 instead of glibmm-2.60
- rebuild against glibmm 2.62

* Thu Mar 14 2019 wally <wally> 2.43.1-1.mga7
+ Revision: 1376730
- new version 2.43.1
- new api 2.44

* Thu Mar 14 2019 wally <wally> 2.41.5-4.mga7
+ Revision: 1376677
- backport upstream change to use glibmm-2.60

* Sun Sep 23 2018 umeabot <umeabot> 2.41.5-3.mga7
+ Revision: 1300104
- Mageia 7 Mass Rebuild

* Sat Jun 09 2018 wally <wally> 2.41.5-2.mga7
+ Revision: 1235577
- add upstream patches to build against glibmm-2.58
- drop static build

* Sat Feb 24 2018 ovitters <ovitters> 2.41.5-1.mga7
+ Revision: 1204752
- new version 2.41.5

* Sat Aug 26 2017 wally <wally> 2.41.4-2.mga7
+ Revision: 1148205
- obsolete pkgs with wrong api

* Sat Aug 26 2017 ovitters <ovitters> 2.41.4-1.mga7
+ Revision: 1148164
- new version 2.41.4

* Wed Aug 23 2017 ovitters <ovitters> 2.41.3-1.mga7
+ Revision: 1143697
- api 2.42
- new version 2.41.3

* Fri Sep 09 2016 luigiwalser <luigiwalser> 2.40.1-1.mga6
+ Revision: 1051183
- 2.40.1

* Mon Mar 28 2016 ovitters <ovitters> 2.40.0-1.mga6
+ Revision: 995883
- new version 2.40.0
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Sun Nov 29 2015 ovitters <ovitters> 2.39.1-1.mga6
+ Revision: 907231
- new version 2.39.1

* Thu Sep 24 2015 tv <tv> 2.38.1-1.mga6
+ Revision: 882978
- new release
+ fwang <fwang>
- fix br

* Thu Sep 24 2015 tv <tv> 2.38.0-1.mga6
+ Revision: 882876
- new release

* Thu Sep 03 2015 ovitters <ovitters> 2.37.2-1.mga6
+ Revision: 872567
- new version 2.37.2

* Mon Aug 24 2015 wally <wally> 2.37.1-2.mga6
+ Revision: 868996
- rebuild for new gcc 5

* Wed Jul 22 2015 ovitters <ovitters> 2.37.1-1.mga6
+ Revision: 856181
- new version 2.37.1

* Mon Jun 22 2015 ovitters <ovitters> 2.36.0-1.mga6
+ Revision: 839674
- new version 2.36.0

* Wed Oct 15 2014 umeabot <umeabot> 2.34.0-4.mga5
+ Revision: 748797
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.34.0-3.mga5
+ Revision: 683329
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 2.34.0-2.mga4
+ Revision: 525285
- Mageia 4 Mass Rebuild

* Wed May 29 2013 dams <dams> 2.34.0-1.mga4
+ Revision: 432905
- new version 2.34.0

* Sun Jan 13 2013 umeabot <umeabot> 2.28.4-3.mga3
+ Revision: 362383
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Oct 10 2012 shlomif <shlomif> 2.28.4-2.mga3
+ Revision: 304340
- Update to a new group per RPMGroupRevamp

* Fri Oct 28 2011 wally <wally> 2.28.4-1.mga2
+ Revision: 159119
- new version 2.28.4

* Tue Sep 27 2011 wally <wally> 2.28.3-1.mga2
+ Revision: 149419
- new version 2.28.3
- clean .spec a bit
+ fwang <fwang>
- do not ship .la files

* Fri Apr 15 2011 ahmad <ahmad> 2.28.2-1.mga1
+ Revision: 85615
- update to 2.28.2

* Thu Jan 13 2011 ahmad <ahmad> 2.26.3-3.mga1
+ Revision: 8814
- drop old/unneeded scriptlets
- imported package pangomm


* Fri Dec 10 2010 Götz Waschk <waschk@mandriva.org> 2.26.3-2mdv2011.0
+ Revision: 620434
- rebuild
- update to new version 2.26.3

* Fri Dec 03 2010 Oden Eriksson <oeriksson@mandriva.com> 2.26.2-2mdv2011.0
+ Revision: 607069
- rebuild

* Tue May 04 2010 Götz Waschk <waschk@mandriva.org> 2.26.2-1mdv2010.1
+ Revision: 541982
- update to new version 2.26.2

* Fri Apr 16 2010 Götz Waschk <waschk@mandriva.org> 2.26.1-1mdv2010.1
+ Revision: 535419
- update to new version 2.26.1

* Wed Mar 17 2010 Oden Eriksson <oeriksson@mandriva.com> 2.26.0-2mdv2010.1
+ Revision: 523591
- rebuilt for 2010.1

* Mon Sep 21 2009 Götz Waschk <waschk@mandriva.org> 2.26.0-1mdv2010.0
+ Revision: 446584
- update to new version 2.26.0

* Sat Aug 29 2009 Götz Waschk <waschk@mandriva.org> 2.25.1.3-1mdv2010.0
+ Revision: 422127
- update to new version 2.25.1.3

* Fri Aug 28 2009 Götz Waschk <waschk@mandriva.org> 2.25.1.1-1mdv2010.0
+ Revision: 422005
- update to new version 2.25.1.1

* Wed Aug 26 2009 Götz Waschk <waschk@mandriva.org> 2.25.1-1mdv2010.0
+ Revision: 421434
- update to new version 2.25.1

* Tue Mar 10 2009 Götz Waschk <waschk@mandriva.org> 2.24.0-1mdv2009.1
+ Revision: 353433
- new version

* Mon Nov 10 2008 Götz Waschk <waschk@mandriva.org> 2.14.1-1mdv2009.1
+ Revision: 301802
- update to new version 2.14.1

* Mon Sep 22 2008 Götz Waschk <waschk@mandriva.org> 2.14.0-1mdv2009.0
+ Revision: 286525
- new version

* Wed Sep 10 2008 Götz Waschk <waschk@mandriva.org> 2.13.8-1mdv2009.0
+ Revision: 283467
- new version

* Mon Aug 04 2008 Götz Waschk <waschk@mandriva.org> 2.13.7-1mdv2009.0
+ Revision: 263290
- new version
- fix directory version

* Sun Jul 27 2008 Götz Waschk <waschk@mandriva.org> 2.13.6-1mdv2009.0
+ Revision: 250616
- new version

* Wed Jul 23 2008 Götz Waschk <waschk@mandriva.org> 2.13.5-1mdv2009.0
+ Revision: 242423
- update file list
- import pangomm


